com.mapinfo.midev.data

## Interface ITableMetadata

All Superinterfaces:
  IFeatureCollectionMetadata, IFeatureMetadata, Serializable

    public interface ITableMetadata
    extends IFeatureCollectionMetadata

Exposes metadata about a table. `ITableMetadata` extends `IFeatureCollectionMetadata`, which extends `IFeatureMetadata`. All properties and methods of all three of these interfaces apply to tables. This interface includes additional metadata about the properties of a table and operations supported.

### Method Summary

All Methods Instance Methods Abstract Methods
`CharSet` `getCharSet(String attributeName)` Returns the `CharSet` of the specified attribute (column).
`Map` `getSupportedCursorProperties()` Returns the cursor properties that are supported by the `ITable` or `IDataSourceTable`.
`Map` `getSupportedLanguages()` Returns the languages supported by the `ITable` or `IDataSourceTable`.
`boolean` `isIndexed(String attributeName)` Returns `true` if the specified attribute (column) is indexed; `false` if not.
`boolean` `isReadOnly()` Returns `true` if the `ITable` is read/only; `false` if not.
`void` `setDefaultView(String geometryAttributeName, Envelope view)` Provides a means for changing the default view of a specified geometry attribute.

### Methods inherited from interface com.mapinfo.midev.feature.IFeatureCollectionMetadata

`getCount, getDefaultView, getDescription, getEnvelope, getMetadata, getNames, getPredominantGeometryType, hasAreaGeometries, hasLineGeometries, hasPointGeometries, hasTextGeometries, isCountKnown, isPredominantGeometryTypeKnown, supportsAdd, supportsRemove`

### Methods inherited from interface com.mapinfo.midev.feature.IFeatureMetadata

`getAttributeDefinitions, getPrimaryKeyMetadata`

### Method Detail

#### getSupportedLanguages

    Map getSupportedLanguages()

Returns the languages supported by the `ITable` or `IDataSourceTable`.

Returns:
  the languages supported by the `ITable` or `IDataSourceTable`.
See Also:
  `ITable.search(com.mapinfo.midev.language.ISearch)`, `ITable.search(com.mapinfo.midev.language.ISearch, java.util.Map)`, `IDataSourceTable.search(com.mapinfo.midev.language.ISearch)`, `IDataSourceTable.search(com.mapinfo.midev.language.ISearch, java.util.Map)`

#### getSupportedCursorProperties

    Map getSupportedCursorProperties()

Returns the cursor properties that are supported by the `ITable` or `IDataSourceTable`. The actual meaning of the value field of an entry in the Map is determined by the actual `CursorProperties`.

Returns:
  the cursor properties that are supported by the `ITable` or `IDataSourceTable`.

#### isIndexed

    boolean isIndexed(String attributeName)

Returns `true` if the specified attribute (column) is indexed; `false` if not.

Parameters:
  `attributeName` - is the name of the attribute for which presence of an index is being tested.
Returns:
  `true` if the specified attribute (column) is indexed; `false` if not.

#### getCharSet

    CharSet getCharSet(String attributeName)

Returns the `CharSet` of the specified attribute (column). This is usually not needed as Java is Unicode.

Parameters:
  `attributeName` - is the name of the string attribute for which the storage character set will be returned.
Returns:
  the `CharSet` of the specified attribute (column).

#### setDefaultView

    void setDefaultView(String geometryAttributeName,
                        Envelope view)

Provides a means for changing the default view of a specified geometry attribute.

Parameters:
  `geometryAttributeName` - is the name of the geometry attribute for which the default view will be changed.
  `view` - is an instance of `Envelope`. If the envelope is empty or if a null reference is specified, the current default view, if any, will be removed.
Throws:
  `UnsupportedOperationException` - if the feature collection implementation does not allow for the specification of a default view.

#### isReadOnly

    boolean isReadOnly()

Returns `true` if the `ITable` is read/only; `false` if not.

Returns:
  `true` if the `ITable` is read/only; `false` if not.